Bug 1127 - winbindd crashing due to abort in openldap client libs
winbindd crashing due to abort in openldap client libs
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.2
All Linux
: P1 critical
: none
Assigned To: Gerald (Jerry) Carter
:
: 1166 1187 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 12:03 UTC by Andrew Hydle
Modified: 2005-11-14 09:25 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Hydle 2004-02-24 12:03:58 UTC
I am running Samba 3.0.2-6.3E from Redhat Enterprise 3.0 using winbind to
authenticate against Active Directory and POSIX ACL's. Recently we switched from
a windows file server to this server and are now having winbind crash and random
files trurning up corrupted. Here are the log messages with the internal error
and a copy of my smb.conf file.

winbindd.log:
[2004/02/23 14:52:09, 1] nsswitch/winbindd_util.c:add_trusted_domain(166)
  Added domain AMTHINKING amthinking.net S-1-5-21-854245398-1958367476-725345543
[2004/02/23 14:56:10, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:08:47, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:08:47, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:14:46, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:14:46, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:15:22, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:15:22, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:25:48, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:25:48, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:51:09, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:51:09, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:51:52, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:51:52, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:52:24, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:52:24, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:52:37, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 15:52:37, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 16:39:16, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/23 16:39:16, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/24 00:43:42, 1] libsmb/clikrb5.c:ads_krb5_mk_req(293)
  krb5_mk_req_extended failed (Ticket expired)
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Administrators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Users !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Guests !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Backup Operators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Replicator !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Server Operators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Account Operators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Print Operators !?
[2004/02/24 09:47:44, 1] nsswitch/winbindd_ads.c:enum_dom_groups(260)
  No rid for Pre-Windows 2000 Compatible Access !?
[2004/02/24 10:31:43, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/24 10:31:44, 1] nsswitch/winbindd_util.c:winbindd_lookup_name_by_sid(429)
  Can't find domain from sid
[2004/02/24 10:43:44, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-backup$ not found
[2004/02/24 10:43:44, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'am-backup$' does not exist
[2004/02/24 10:43:44, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-backup$ not found
[2004/02/24 10:43:44, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'am-backup$' does not exist
[2004/02/24 10:43:44, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-backup$ not found
[2004/02/24 10:43:44, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'am-backup$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'vishal-lt$' does not exist
[2004/02/24 10:43:48, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:43:48, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'vishal-lt$' does not exist
[2004/02/24 10:44:41, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: vishal-lt$ not found
[2004/02/24 10:44:41, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'vishal-lt$' does not exist
[2004/02/24 10:45:00, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: lasercutterpc$ not found
[2004/02/24 10:45:00, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'lasercutterpc$' does not exist
[2004/02/24 10:45:00, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: lasercutterpc$ not found
[2004/02/24 10:45:00, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'lasercutterpc$' does not exist
[2004/02/24 10:45:00, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: lasercutterpc$ not found
[2004/02/24 10:45:00, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'lasercutterpc$' does not exist
[2004/02/24 10:45:00, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: jgarcia not found
[2004/02/24 10:45:00, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'jgarcia' does not exist
[2004/02/24 10:45:37, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-wkstn009$ not found
[2004/02/24 10:45:37, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'am-wkstn009$' does not exist
[2004/02/24 10:45:37, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-wkstn009$ not found
[2004/02/24 10:45:37, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'am-wkstn009$' does not exist
[2004/02/24 10:45:37, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: am-wkstn009$ not found
[2004/02/24 10:45:37, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'am-wkstn009$' does not exist
[2004/02/24 10:45:37, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: dana not found
[2004/02/24 10:45:37, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'dana' does not exist
[2004/02/24 10:45:57, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:57, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:57, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:57, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:57, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:57, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:57, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: cjoans not found
[2004/02/24 10:45:57, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'cjoans' does not exist
[2004/02/24 10:45:58, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:58, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:58, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:58, 1] nsswitch/winbindd_group.c:winbindd_getgroups(954)
  user 'purchasingpc$' does not exist
[2004/02/24 10:45:58, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: purchasingpc$ not found
[2004/02/24 10:45:58, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'purchasingpc$' does not exist
[2004/02/24 10:46:19, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: blair not found
[2004/02/24 10:46:19, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'blair' does not exist
[2004/02/24 10:46:19, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: blair not found
[2004/02/24 10:46:19, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'blair' does not exist
[2004/02/24 10:46:19, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: blair-laptop$ not found
[2004/02/24 10:46:19, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'blair-laptop$' does not exist
[2004/02/24 10:46:19, 1] libads/ads_ldap.c:ads_name_to_sid(64)
  name_to_sid: blair-laptop$ not found
[2004/02/24 10:46:19, 1] nsswitch/winbindd_user.c:winbindd_getpwnam(157)
  user 'blair-laptop$' does not exist
winbindd: ../../../libraries/libldap/getvalues.c:36: ldap_get_values: Assertion
`entry != ((void *)0)' failed.
[2004/02/24 10:46:24, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2004/02/24 10:46:24, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 6 in pid 996 (3.0.2-6.3E)
  Please read the appendix Bugs of the Samba HOWTO collection
[2004/02/24 10:46:24, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2004/02/24 10:46:24, 0] lib/util.c:smb_panic(1422)
  PANIC: internal error
[2004/02/24 10:46:24, 0] lib/util.c:smb_panic(1430)
  BACKTRACE: 18 stack frames:
   #0 winbindd(smb_panic+0x13f) [0x80cb96f]
   #1 winbindd [0x80b7428]
   #2 /lib/tls/libc.so.6 [0xb73b7c08]
   #3 /lib/tls/libc.so.6(abort+0x1d5) [0xb73b9255]
   #4 /lib/tls/libc.so.6 [0xb73b1559]
   #5 /usr/lib/libldap.so.2(ldap_get_values+0x19c) [0xb74eab3c]
   #6 winbindd(ads_pull_uint32+0x32) [0x817bcc2]
   #7 winbindd(ads_sid_to_name+0x1bd) [0x8181f6d]
   #8 winbindd [0x8084a71]
   #9 winbindd [0x80793b4]
   #10 winbindd(winbindd_lookup_name_by_sid+0x6f) [0x8074d9f]
   #11 winbindd(winbindd_lookupsid+0x16c) [0x807c33c]
   #12 winbindd(strftime+0x14bc) [0x806d6d8]
   #13 winbindd(winbind_process_packet+0x2f) [0x806da2f]
   #14 winbindd(do_dual_daemon+0x170) [0x8087000]
   #15 winbindd(main+0x4b9) [0x806e9f9]
   #16 /lib/tls/libc.so.6(__libc_start_main+0xf8) [0xb73a5748]
   #17 winbindd(chroot+0x35) [0x806cdf1]

smbd.log:
[2004/02/24 10:37:17, 1] smbd/service.c:make_connection_snum(705)
  10.10.20.32 (10.10.20.32) connect to service Applied_Minds initially as user
AMTHINKING+vishal (uid=11006, gid=11001) (pid 4160)
[2004/02/24 10:39:43, 1] smbd/service.c:close_cnum(887)
  am-wkstn300 (10.11.20.54) closed connection to service Projects
[2004/02/24 10:43:06, 1] smbd/service.c:make_connection_snum(705)
  dmu80t (10.11.15.101) connect to service Applied_Minds initially as user
AMTHINKING+jhirahara (uid=11040, gid=11001) (pid 3311)
[2004/02/24 10:43:06, 1] smbd/service.c:make_connection_snum(705)
  dmu80t (10.11.15.101) connect to service Projects initially as user
AMTHINKING+jhirahara (uid=11040, gid=11001) (pid 3311)
[2004/02/24 10:43:43, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:43:43, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:43:43, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2004/02/24 10:43:43, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 16: ERRNO = Connection reset by peer
[2004/02/24 10:43:43, 0] lib/util_sock.c:send_smb(605)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2004/02/24 10:44:12, 1] smbd/service.c:close_cnum(887)
  dmu80t (10.11.15.101) closed connection to service Applied_Minds
[2004/02/24 10:44:12, 1] smbd/service.c:close_cnum(887)
  dmu80t (10.11.15.101) closed connection to service Projects
[2004/02/24 10:46:19, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:46:19, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:46:19, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2004/02/24 10:46:19, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 16: ERRNO = Connection reset by peer
[2004/02/24 10:46:19, 0] lib/util_sock.c:send_smb(605)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2004/02/24 10:46:19, 1] smbd/service.c:make_connection_snum(705)
  10.10.20.31 (10.10.20.31) connect to service Applied_Minds initially as user
AMTHINKING+blair (uid=11002, gid=11001) (pid 4164)
[2004/02/24 10:49:57, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:49:57, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 10:49:57, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2004/02/24 10:49:57, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 5: ERRNO = Connection reset by peer
[2004/02/24 10:49:57, 0] lib/util_sock.c:send_smb(605)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2004/02/24 10:49:57, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:49:57, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:50:01, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:50:01, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:50:57, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 10:50:57, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 10:52:18, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:53:13, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 10:56:14, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4166)
[2004/02/24 10:57:12, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 10:58:20, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 10:58:20, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 10:59:27, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 10:59:27, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 10:59:31, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 10:59:31, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 11:00:37, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 11:00:37, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:01:07, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4176)
[2004/02/24 11:02:19, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:02:53, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:02:53, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 11:11:59, 1] smbd/server.c:open_sockets_smbd(342)
  Reloading services after SIGHUP
[2004/02/24 11:12:48, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4228)
[2004/02/24 11:12:49, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4228)
[2004/02/24 11:12:53, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Applied_Minds initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4228)
[2004/02/24 11:12:53, 1] smbd/service.c:make_connection_snum(705)
  10.10.10.43 (10.10.10.43) connect to service Projects initially as user
AMTHINKING+andrew (uid=11001, gid=11001) (pid 4228)
[2004/02/24 11:13:42, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 11:14:50, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:14:50, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Applied_Minds
[2004/02/24 11:14:50, 1] smbd/service.c:close_cnum(887)
  10.10.10.43 (10.10.10.43) closed connection to service Projects
[2004/02/24 11:18:55, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 11:18:55, 0] lib/util_sock.c:get_peer_addr(952)
  getpeername failed. Error was Transport endpoint is not connected
[2004/02/24 11:18:55, 0] lib/util_sock.c:write_socket_data(388)
  write_socket_data: write failure. Error = Connection reset by peer
[2004/02/24 11:18:55, 0] lib/util_sock.c:write_socket(413)
  write_socket: Error writing 4 bytes to socket 5: ERRNO = Connection reset by peer
[2004/02/24 11:18:55, 0] lib/util_sock.c:send_smb(605)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2004/02/24 11:32:20, 1] smbd/service.c:make_connection_snum(705)
  am-wkstn003 (10.10.20.73) connect to service Applied_Minds initially as user
AMTHINKING+blair (uid=11002, gid=11001) (pid 4268)
[2004/02/24 11:33:58, 1] smbd/service.c:make_connection_snum(705)
  10.10.20.31 (10.10.20.31) connect to service Projects initially as user
AMTHINKING+blair (uid=11002, gid=11001) (pid 4164)



smb.conf:
[global]
realm = amthinking.net
workgroup = AMTHINKING
security = ADS
encrypt passwords = yes
password server = dc0.amthinking.net dc1.amthinking.net
server string = AMI File Server
socket options = TCP_NODELAY 
kernel oplocks = no
# separate domain and username with +, like DOMAIN+username
winbind separator = +
# use uids from 11000 to 19000 for domain users
idmap uid = 11000-19000
# use gids from 11000 to 19000 for domain groups
idmap gid = 11000-19000
# allow enumeration of winbind users and groups
winbind enum users = yes
winbind enum groups = yes
# give winbind users a real shell (only needed if they have telnet access)
template homedir = /mnt/share/Applied_Minds/Users/%U
template shell = /bin/bash

#[homes]
#   comment = Home Directories
#   browseable = no
#   writable = yes

[Applied_Minds]
   comment = Applied Minds Corporate
   path = /mnt/share/Applied_Minds
   oplocks = no 
   level2 oplocks = no
   public = yes
   writable = yes

[Projects]
   comment = Applied Minds Projects
   path = /mnt/share/Projects
   oplocks = no 
   level2 oplocks = no   
   public = yes
   writable = yes

[Visitor]
   comment = Applied Minds Visitor Share
   path = /mnt/share/Visitor
   public = yes
   writable = yes
Comment 1 Gerald (Jerry) Carter 2004-03-12 08:16:40 UTC
*** Bug 1166 has been marked as a duplicate of this bug. ***
Comment 2 Gerald (Jerry) Carter 2004-03-15 08:33:53 UTC
*** Bug 1187 has been marked as a duplicate of this bug. ***
Comment 3 Gerald (Jerry) Carter 2004-03-16 14:33:35 UTC
Logile from Paul:

http://www.cjn.co.nz/samba/log.winbindd.crash2
Comment 4 Gerald (Jerry) Carter 2005-02-05 07:57:34 UTC
please retest against 3.0.11 and reopen if necessary.  Also reset 
the version if you reopen the bug report.  Thanks.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:21:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:25:36 UTC
database cleanup